Issue 113141 - fpicker: gtk Save As dialog should show all appropriate formats by default
Summary: fpicker: gtk Save As dialog should show all appropriate formats by default
Status: CLOSED FIXED
Alias: None
Product: gsl
Classification: Code
Component: code (show other issues)
Version: DEV300m84
Hardware: All Linux, all
: P3 Trivial (vote)
Target Milestone: OOo 3.x
Assignee: carsten.driesner
QA Contact: issues@gsl
URL:
Keywords:
Depends on:
Blocks: 90439
  Show dependency tree
 
Reported: 2010-07-14 13:59 UTC by caolanm
Modified: 2016-04-09 11:00 UTC (History)
3 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
like so (10.20 KB, patch)
2010-07-14 14:00 UTC, caolanm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description caolanm 2010-07-14 13:59:21 UTC
In the Save As dialog, only files matching the native (ODF) format are shown. 
Insted, files matching all exportable text formats should be shown by default,
and if no file extension is specified when saving the file, the appropriate ODF
extension should be chosen.

This is how other applications (e.g. GIMP, with XCF as the native format) work.
Comment 1 caolanm 2010-07-14 14:00:25 UTC
Created attachment 70616 [details]
like so
Comment 2 caolanm 2010-07-14 14:02:20 UTC
done in gtk3
Comment 3 caolanm 2010-10-07 13:22:06 UTC
reopen to move
Comment 4 caolanm 2010-10-07 13:51:40 UTC
cmc->pl: I'll have this over for you guys to consider if you want to take it.
Comment 5 philipp.lohmann 2010-10-07 15:48:44 UTC
thanks
Comment 6 philipp.lohmann 2010-10-14 14:29:44 UTC
Whether all files get displayed should IMHO not be a detail of the specific
fpicker ; e.g. I'd want the KDE4 one to behave the same.  I think this should
instead be changed in the framework that calls the fpicker.

@cd: what's your opinion ?
Comment 7 carsten.driesner 2010-11-04 14:05:07 UTC
cd->fl: We need your opinion here. Do we want to have a specific function for
the gtk file picker only? The patch itself looks good to me.
Comment 8 frank.loehmann 2010-11-05 17:56:36 UTC
I think it is helpful to see all the files supported by the current application when saving.
Comment 9 carsten.driesner 2010-11-16 08:48:56 UTC
cd: According to UX this "enhancement" should be available for all platforms. I
will check how we can fix this issue on the non-platform specific part of the code.
Comment 10 Martin Hollmichel 2011-03-16 10:57:23 UTC
set target to 3.x since not relevant for 3.4 release.
Comment 11 Pedro Giffuni 2011-10-12 19:26:18 UTC
Committed the patch as revision 1182539.

Which doesn't mean it can't be done for other platforms in the future as well.
Comment 12 Marcus 2011-10-13 22:54:01 UTC
changed status to "resolved fixed"
Comment 13 Marcus 2011-10-13 22:55:14 UTC
temporary closed
Comment 14 Marcus 2011-10-13 22:55:54 UTC
reopened, to verify the fix
Comment 15 Marcus 2016-04-09 11:00:23 UTC
fixed in 3.4.x, latest in 4.0.0